IGN

Géoservices IGN

Calendrier des évolutions de l’infrastructure Géoportail fin 2019

3 Octobre 2019

Afin de conserver un niveau de sécurité optimal de ses composants et de s’adapter aux évolutions technologiques, l’infrastructure Géoportail va connaître trois évolutions techniques en fin d’année 2019 : arrêt de l’API v2, passage en https et passage en TLS 1.2.

IMAGE MANQUANTE

LE 27 NOVEMBRE 2019 : ARRET DE L’API GEOPORTAIL JAVASCRIPT V2

Depuis 2016, l’API Géoportail JavaScript V2 est dépréciée et les utilisateurs sont incités à utiliser les API Géoportail « V3 » (SDK/Kit de développement, Extension Géoportail pour Leaflet, Open Layers, Bibliothèque d’accès…). La mise à jour des composants de sécurité de notre infrastructure va imposer un arrêt complet et définitif de cette API dépréciée. Nous vous recommandons d’ici le 27 novembre 2019, de mettre à jour les développements web utilisant l’API V2 et de passer, le cas échéant, sur les nouvelles API du Géoportail. Plus d’infos ici Nous vous informons également que le site api.ign.fr sera définitivement fermé à cette occasion.

LE 04 DECEMBRE 2019 : PASSAGE EN HTTPS

La mise à jour des composants sécurité de notre infrastructure va imposer une redirection des requêtes http vers l’équivalent en https, par un code 301. Ce comportement fait partie du RFC2616 (juin 1999). Les contextes d’utilisation ne gérant pas ces redirections deviendront incompatibles avec les géoservices du Géoportail. Il est donc fortement conseillé, d’ici le 4 décembre 2019, de mettre à jour vos URL appelant les services en ligne du Géoportail, en utilisant le protocole https.

LE 11 DECEMBRE 2019 : PASSAGE EN TLS 1.2

TLS, pour « Transport Layer Security », est un protocole de sécurisation des réseaux, largement utilisé dans les services informatiques. Il assure la confidentialité et l’intégrité des données entre des applications qui communiquent sur un réseau. TLS est notamment utilisé, sur notre infrastructure Géoportail, lors de chaque accès aux géoservices. Certains outils métiers, applications web, mobiles et SIG utilisent encore le TLS en version 1.1. Notre infrastructure Géoportail passera de TLS 1.1 à TLS 1.2 le 11 décembre 2019. Aussi, pour vous éviter toute interruption d’accès, nous vous recommandons de vérifier que votre outil est compatible avec TLS 1.2 et, si tel n’est pas le cas, de changer pour une version supérieure compatible. Afin de vous faciliter cette démarche, voici la liste des principaux outils d’accès aux géoservices qui sont compatibles avec le TLS 1.2 et pour lesquels les services en ligne du Géoportail continueront de fonctionner au-delà du 11 décembre 2019 :

Navigateurs web

  • Mozilla Firefox : versions supérieures à la 5.0
  • Internet Explorer sous Windows 7 : versions supérieures à la 10
  • Internet Explorer sous Windows Phone 8.0 : versions supérieures à la 10
  • Safari sous Mac OS X 10.8.4 : versions supérieures à la 6.0.4

Systèmes d’exploitation mobiles

  • Android : versions supérieures à la 4.4.2
  • iOS : versions supérieures à la 4

Frameworks et Systèmes d’exploitation

  • Oracle Java : versions supérieures à la 1.6
  • .NET : versions supérieures à la 3.5
  • Python : versions supérieures à la 2.7.8
  • OpenSSL : versions supérieures à la 1.0.0
  • Windows : versions supérieures à Windows 2008 et Vista

SIG

  • QGIS : version 3.0 et supérieures
  • Suite ESRI (cf. https://support.esri.com/fr/tlsproducts)
  • FME : version 2015.1.1 et supérieures
  • MapInfo : version 17.0.0 et supérieures
  • Geoconcept : version 7.3.1728 et supérieures

POUR PLUS D’INFORMATIONS

Notre support contact.geoservices@ign.fr est à votre disposition pour tout complément d’informations.